> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List all entities with their states

> Returns all entities for the user with their current states. Entities without published states will have null state and default attributes based on entity_registry.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/entities/states
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/entities/states:
    get:
      tags:
        - Entities & States
      summary: List all entities with their states
      description: >-
        Returns all entities for the user with their current states. Entities
        without published states will have null state and default attributes
        based on entity_registry.
      operationId: getV1EntitiesStates
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    entity_id:
                      type: string
                    name:
                      type: string
                    domain:
                      type: string
                    platform:
                      type: string
                    state:
                      type: string
                      nullable: true
                    attributes:
                      type: object
        '404':
          description: User not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````